Summary: General-purpose Web API written in C
Name: w3c-libwww
Version: 5.2.6
Release: 2
Group: System Environment/Libraries
Source0: http://www.w3.org/Library/Distribution/w3c-libwww-%{version}.tar.gz
Url: http://www.w3.org/Library/
Copyright: W3C Intellectual Property License
Buildroot: /var/tmp/%{name}-root

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Libraries

%description devel
Static libraries and header files for programs that use w3c-libwww.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --with-gnu-ld

#%configure --enable-shared --with-gnu-ld
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  chmod +x ./usr/lib/libwww.so.0.*
  strip ./usr/bin/* || :
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
#/usr/bin/www
/usr/bin/webbot
/usr/bin/w3c
/usr/lib/libmd5.so.0*
/usr/lib/libwww.so.0*
/usr/lib/libxmlparse.so.0*
/usr/lib/libxmltok.so.0*
/usr/share/w3c-libwww

%doc *.html */*.html */*/*.html */*/*/*.html Icons/*/*.gif

%files devel
%defattr(-,root,root)
/usr/bin/libwww-config
/usr/lib/libmd5.a
/usr/lib/libmd5.la
/usr/lib/libmd5.so
/usr/lib/libpics.a
/usr/lib/libwww.a
/usr/lib/libwww.la
/usr/lib/libwww.so
/usr/lib/libxmlparse.a
/usr/lib/libxmlparse.la
/usr/lib/libxmlparse.so
/usr/lib/libxmltok.a
/usr/lib/libxmltok.la
/usr/lib/libxmltok.so


/usr/include/w3c-libwww

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.2.6.

* Thu Jan 14 1999 Bill Nottingham <notting@redhat.com>
- build for arm

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- Create package.
